#!/bin/bash

sudo apt -y update
sudo apt -y install simplestreams

KEYRING_FILE=/usr/share/keyrings/ubuntu-cloudimage-keyring.gpg
IMAGE_SRC=https://images.maas.io/ephemeral-v3/stable
IMAGE_DIR=/var/www/html/maas/images/ephemeral-v3/stable

# Do the Ubuntu releases
# LTS supported releases, and all releases from the latest LTS
sudo sstream-mirror --keyring=$KEYRING_FILE $IMAGE_SRC $IMAGE_DIR \
            'arch=amd64' 'release~(xenial|bionic|focal|jammy)' --max=1 --progress

# CentOS 7 and 8
sudo sstream-mirror --keyring=$KEYRING_FILE $IMAGE_SRC $IMAGE_DIR \
            'arch=amd64' 'release~(centos|8)' --max=1 --progress

# Bootloaders
sudo sstream-mirror --keyring=$KEYRING_FILE $IMAGE_SRC $IMAGE_DIR \
            'os~(grub*|pxelinux)' --max=1 --progress
